Name:           gnaural
Version:        1.0.20110606
Release:        6%{?dist}
Summary:        A multi-platform programmable binaural-beat generator
License:        GPLv2+

URL:            http://gnaural.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         gnaural-1.0.20110215-icon.patch
Patch1:         gnaural-1.0.20110215-xdg-menu.patch

BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  desktop-file-utils
BuildRequires:  gettext-devel

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libglade-2.0)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sndfile)

Requires:       hicolor-icon-theme

%description
Gnaural is a multi-platform programmable binaural-beat generator. It is actually brainwave
entrainment software for creating binaural beats intended to be used as personal brainwave
synchronization software, for scientific research, or by professionals. Gnaural allows for
the creation of binaural beat tracks  specifying different frequencies and exporting tracks
into different audio formats. Gnaural runnings can also be linked over the internet, allowing
synchronous sessions between many users.

%prep
%setup -q
%patch 0 -p1 -b .icon~
%patch 1 -p1 -b .xdg~

%build
# FIXME: Package suffers from c11/inline issues
# Workaround by appending -std=gnu89 to CFLAGS
# Proper fix would be to fix the source-code

autoreconf -fiv
CFLAGS="${RPM_OPT_FLAGS} -std=gnu89"
%configure
make %{?_smp_mflags}

%install
make install INSTALL="install -p" DESTDIR=%{buildroot}

install -p -dm 755 %{buildroot}%{_datadir}/pixmaps
install -p -dm 755 %{buildroot}%{_datadir}/icons/hicolor/48x48/apps

install -p -m 644 pixmaps/%{name}-icon.xpm %{buildroot}%{_datadir}/pixmaps
install -p -m 644 pixmaps/%{name}-icon.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps

install -p -dm 755 %{buildroot}%{_datadir}/applications

sed -i -e 's|^Categories=.*$|Categories=AudioVideo;AudioVideoEditing;|g' \
 -e 's|^Encoding=UTF-8$||g' -e 's|^GenericName=Audio binaural beat editor/generator$||g' \
 -e 's|^Icon=.*$|Icon=%{name}-icon|g' %{buildroot}/%{_datadir}/gnome/apps/Multimedia/%{name}.desktop

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/gnome/apps/Multimedia/%{name}.desktop

rm -rf %{buildroot}%{_datadir}/gnome

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}-icon.xpm
%{_datadir}/icons/hicolor/*x*/apps/%{name}*.png

%changelog
* Mon Jun 30 2025 Hazel Bunny <hazel_bunny@disroot.org> - 1.0.20110606-6
- Rebuild for Fedora 42

* Sat Jul 04 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.0.20110606-5
- Append -stdc=gnu89 to CFLAGS (Work-around to c11/inline compatibility
  issues. Fix FTBFS).

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20110606-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20110606-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20110606-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 25 2013 Christopher Meng <rpm@cicku.me> - 1.0.20110606-1
- Update to new version.
- Update icon cache refresh script.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20100408-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20100408-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20100408-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20100408-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.0.20100408-3
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20100408-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue May 04 2010 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.20100408-1
- Updated to 1.0.20100408

* Tue Nov 10 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.20090808-1
- Updated to 1.0.20090808

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20080808-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.20080808-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 05 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.20080808-5
- Removed "Application" from .desktop Categories.

* Sun Jan 04 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.20080808-4
- Fixed missing -p for install command.

* Sun Jan 04 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.20080808-3
- Removed fedora as vendor - as per new guidelines.

* Sun Jan 04 2009 Rakesh Pandit <rakesh@fedoraproject.org> 1.0.20080808-2
- Fixed %%version, %%description, timestamp, fixed icon path,
- Removed useless buildrequires, fixed .desktop file installation.

* Sat Dec 06 2008 Rakesh Pandit <rakesh@fedoraproject.org> 1.0-1.20080808
- Initial build.
